#!/usr/bin/env bash

if ! [ -d "$1" ]
then
    exit -1
fi


latesttag=`git describe --abbrev=0 --tags`
tagversion=${latesttag#*-}

projchanges=`git log ${latesttag}.. --oneline $1 | wc -l | tr -d ' '`
#projrevision=`git log --oneline $1 | wc -l | tr -d ' '`

projversion="${tagversion}.${projchanges}"

IFS=. read major minor patch <<<"${projversion##*-}"

echo "set(Proj_VERSION_MAJOR $major)"
echo "set(Proj_VERSION_MINOR $minor)"
echo "set(Proj_VERSION_PATCH $patch)"
